POST
/detector/{detectorId}/findings/create
http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/createGenerates sample findings of types specified by the list of finding types. If 'NULL' is specified for <code>findingTypes</code>, the API generates sample findings of all supported finding types.
Access Token Required: API Key
Path Parameters
detectorIdstringrequired
The ID of the detector to create sample findings for.
Body Params
findingTypesarray
The types of sample findings to generate.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/findings/create' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}